Pull Request Labels - Delete

pull request に割り当てられた一連のラベル (タグ) を削除します。 タグ自体は削除されません。

DELETE https://dev.azure.com/{organization}/{project}/_apis/git/repositories/{repositoryId}/pullRequests/{pullRequestId}/labels/{labelIdOrName}?api-version=7.1-preview.1
DELETE https://dev.azure.com/{organization}/{project}/_apis/git/repositories/{repositoryId}/pullRequests/{pullRequestId}/labels/{labelIdOrName}?projectId={projectId}&api-version=7.1-preview.1

URI パラメーター

名前 / 必須 説明
labelIdOrName
path True

string

要求されたラベルの名前または ID。

organization
path True

string

Azure DevOps 組織の名前です。

pullRequestId
path True

integer (int32)

pull request の ID。

repositoryId
path True

string

pull request のターゲット ブランチのリポジトリ ID。

project
path

string

プロジェクト ID またはプロジェクト名

api-version
query True

string

使用する API のバージョン。 このバージョンの API を使用するには、これを '7.1-preview.1' に設定する必要があります。

projectId
query

string

プロジェクト ID またはプロジェクト名。

応答

名前 説明
200 OK

成功した操作

セキュリティ

oauth2

型: oauth2
フロー: accessCode
Authorization URL (承認 URL): https://app.vssps.visualstudio.com/oauth2/authorize&response_type=Assertion
Token URL (トークン URL): https://app.vssps.visualstudio.com/oauth2/token?client_assertion_type=urn:ietf:params:oauth:client-assertion-type:jwt-bearer&grant_type=urn:ietf:params:oauth:grant-type:jwt-bearer

スコープ

名前 説明
vso.code_write ソース コードの読み取り、更新、削除、コミット、変更セット、ブランチ、およびその他のバージョン管理成果物に関するメタデータへのアクセスを許可します。 また、pull request とコード レビューを作成および管理したり、サービス フックを介してバージョン管理イベントに関する通知を受信したりすることもできます。